// Form1.h

#pragma once

namespace BringUpTest {

  using namespace System;
  using namespace System::ComponentModel;
  using namespace System::Collections;
  using namespace System::Windows::Forms;
  using namespace System::Data;
  using namespace System::Drawing;

  /// <summary>
  /// Zusammenfassung fr Form1
  /// </summary>
  public ref class Form1 : public System::Windows::Forms::Form
  {
  public:
    Form1(void) : m_bAltInstanceSwitch(false)
    {
      InitializeComponent();
      //
      //TODO: Konstruktorcode hier hinzufgen.
      //
#ifdef _DEBUG
      Text += " (debug)";
#endif
    }

  protected:
    /// <summary>
    /// Verwendete Ressourcen bereinigen.
    /// </summary>
    ~Form1()
    {
      if (components)
      {
        delete components;
      }
    }

  private:
    bool m_bAltInstanceSwitch;

  private: System::Windows::Forms::Label^  label1;
  protected: 
  private: System::Windows::Forms::Label^  label2;
  private: System::Windows::Forms::GroupBox^  groupBox1;
  private: System::Windows::Forms::RadioButton^  rbAlt;
  private: System::Windows::Forms::RadioButton^  rbClassic;

  private:
    /// <summary>
    /// Erforderliche Designervariable.
    /// </summary>
    System::ComponentModel::Container ^components;

#pragma region Windows Form Designer generated code
    /// <summary>
    /// Erforderliche Methode fr die Designeruntersttzung.
    /// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
    /// </summary>
    void InitializeComponent(void)
    {
      this->label1 = (gcnew System::Windows::Forms::Label());
      this->label2 = (gcnew System::Windows::Forms::Label());
      this->groupBox1 = (gcnew System::Windows::Forms::GroupBox());
      this->rbAlt = (gcnew System::Windows::Forms::RadioButton());
      this->rbClassic = (gcnew System::Windows::Forms::RadioButton());
      this->groupBox1->SuspendLayout();
      this->SuspendLayout();
      // 
      // label1
      // 
      this->label1->AutoSize = true;
      this->label1->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
        static_cast<System::Byte>(0)));
      this->label1->Location = System::Drawing::Point(9, 11);
      this->label1->Name = L"label1";
      this->label1->Size = System::Drawing::Size(182, 13);
      this->label1->TabIndex = 0;
      this->label1->Text = L"Bring me back up by launching";
      // 
      // label2
      // 
      this->label2->AutoSize = true;
      this->label2->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
        static_cast<System::Byte>(0)));
      this->label2->Location = System::Drawing::Point(9, 24);
      this->label2->Name = L"label2";
      this->label2->Size = System::Drawing::Size(149, 13);
      this->label2->TabIndex = 1;
      this->label2->Text = L"another instance of me...";
      // 
      // groupBox1
      // 
      this->groupBox1->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
        | System::Windows::Forms::AnchorStyles::Left) 
        | System::Windows::Forms::AnchorStyles::Right));
      this->groupBox1->Controls->Add(this->rbAlt);
      this->groupBox1->Controls->Add(this->rbClassic);
      this->groupBox1->Location = System::Drawing::Point(11, 40);
      this->groupBox1->Name = L"groupBox1";
      this->groupBox1->Size = System::Drawing::Size(178, 82);
      this->groupBox1->TabIndex = 2;
      this->groupBox1->TabStop = false;
      this->groupBox1->Text = L"Primary instance activation method";
      // 
      // rbAlt
      // 
      this->rbAlt->AutoSize = true;
      this->rbAlt->Location = System::Drawing::Point(6, 53);
      this->rbAlt->Name = L"rbAlt";
      this->rbAlt->Size = System::Drawing::Size(75, 17);
      this->rbAlt->TabIndex = 1;
      this->rbAlt->TabStop = true;
      this->rbAlt->Text = L"&Alternative";
      this->rbAlt->UseVisualStyleBackColor = true;
      this->rbAlt->CheckedChanged += gcnew System::EventHandler(this, &Form1::InstanceSwitchModeChanged);
      // 
      // rbClassic
      // 
      this->rbClassic->AutoSize = true;
      this->rbClassic->Location = System::Drawing::Point(6, 30);
      this->rbClassic->Name = L"rbClassic";
      this->rbClassic->Size = System::Drawing::Size(58, 17);
      this->rbClassic->TabIndex = 0;
      this->rbClassic->TabStop = true;
      this->rbClassic->Text = L"&Classic";
      this->rbClassic->UseVisualStyleBackColor = true;
      this->rbClassic->CheckedChanged += gcnew System::EventHandler(this, &Form1::InstanceSwitchModeChanged);
      // 
      // Form1
      // 
      this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
      this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
      this->ClientSize = System::Drawing::Size(201, 135);
      this->Controls->Add(this->groupBox1);
      this->Controls->Add(this->label2);
      this->Controls->Add(this->label1);
      this->FormBorderStyle = System::Windows::Forms::FormBorderStyle::FixedSingle;
      this->MaximizeBox = false;
      this->Name = L"Form1";
      this->Text = L"Bring me up!";
      this->groupBox1->ResumeLayout(false);
      this->groupBox1->PerformLayout();
      this->ResumeLayout(false);
      this->PerformLayout();

    }
#pragma endregion

  // Base class method overrides:

  protected:
    virtual void WndProc(Message %msg) override;

  // Other member functions:

  private:
    void BringMeUp();

  // Event handlers

  private:
    System::Void InstanceSwitchModeChanged(System::Object^  sender, System::EventArgs^  e);
};
}
